Skip to main content
`Ctrl`+`K`

# MatSuperluSetILUDropTol

Set SuperLU https://portal.nersc.gov/project/sparse/superlu/superlu_ug.pdf ILU drop tolerance

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSuperluSetILUDropTol(Mat F, PetscReal dtol)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()`

- dtol - drop tolerance

## Options Database Key

- -mat_superlu_ilu_droptol <dtol> - the drop tolerance

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MATSOLVERSUPERLU`

## Level

beginner

## Location

src/mat/impls/aij/seq/superlu/superlu.c

## Examples

src/ksp/ksp/tutorials/ex52.c

## Implementations

MatSuperluSetILUDropTol_SuperLU() in src/mat/impls/aij/seq/superlu/superlu.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages